### Property

# Aravis GvStream:initial-packet-timeout

since: 0.8.15

#### Declaration

    property initial-packet-timeout: guint [ read, write, construct ]

#### Description [src]

Delay before asking for a packet resend after the packet was detected missing for the first time. The reason for this delay is, depending on the network topology, stream packets are not always received in increasing id order. As the missing packet detection happens at each received packet, by verifying if each previous packet has been received, we could emit useless packet resend requests if they are not ordered.

Type:`guint`

Available since: 0.8.15

Default value | 1000

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no